package com.aitrainer.api.controller

import com.aitrainer.api.model.AppText
import com.aitrainer.api.repository.AppTextRepository
import org.slf4j.LoggerFactory
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*

@RestController
@RequestMapping("/api")
class CustomerAppTextController(private val appTextRepository: AppTextRepository) {
    private val logger = LoggerFactory.getLogger(javaClass)

    @GetMapping("/app_text")
    fun getAppTextWithTranslation(): ResponseEntity<List<AppText>> {
        val list = appTextRepository.findAllWithTranslation()

        logger.info(" -- Get All app texts $list")
        return if (list.isEmpty()) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }
}