package com.aitrainer.api.repository.diet

import com.aitrainer.api.model.diet.Diet
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import org.springframework.stereotype.Repository

@Repository
interface DietRepository : JpaRepository<Diet, Long> {
    fun findByDietUserId(dietUserId: Long): List<Diet>

    @Query(" FROM Diet WHERE dietId = :dietId")
    fun findByDietId(dietId: Long): Diet?

    @Query(" FROM Diet WHERE ((LENGTH(dietText) = 0 AND premium = 1 ) OR (generating = 1)) AND dietUserId = :dietUserId ORDER BY dietId DESC LIMIT 1")
    fun findTheLastEmptyDiet(dietUserId: Long): Diet?
}