package com.aitrainer.api.test

import com.aitrainer.api.controller.ExerciseAbilityController
import com.aitrainer.api.controller.ExerciseDeviceController
import com.aitrainer.api.repository.ExerciseAbilityRepository
import com.aitrainer.api.repository.ExerciseDeviceRepository
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.TestInstance
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import kotlin.test.assertEquals
import kotlin.test.assertTrue

@SpringBootTest
@TestInstance(TestInstance.Lifecycle.PER_CLASS)
class ExerciseAbilityTest {

    @Autowired
    private lateinit var exerciseAbilityRepository: ExerciseAbilityRepository


    @Test
    fun testGetExerciseAbilities() {
        val controller = ExerciseAbilityController(exerciseAbilityRepository )
        val response = controller.getAbilities()

        val abilities = response.body

        assertTrue(abilities is List)
        assertTrue(abilities.isNotEmpty())
        assertEquals(abilities.size, 3)
        assertEquals(abilities[0].name, "1RM")
        assertEquals(abilities[1].name, "Endurance")
    }

}